Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000081 [libFirm] sparc backend feature always 2011-08-08 14:15 2011-12-24 03:47
Reporter Matze View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000081: Peephole: unnecessary copy before restore
Description if there's a copy in front of a restore, then we can fold it into the restore (its like an add with 0)
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000114)
Matze (administrator)
2011-08-17 14:59

Usual pattern. Transform this:

mov %o0, %i0
jmp %i7+8
restore

into this:

jmp %i7+8
restore %g0, %o0, %o0
(0000117)
Matze (administrator)
2011-10-17 18:32

implemented in 7ada8df726f81d27251e27091fa4499d6e7f9f53

- Issue History
Date Modified Username Field Change
2011-08-08 14:15 Matze New Issue
2011-08-17 14:59 Matze Note Added: 0000114
2011-10-17 18:32 Matze Note Added: 0000117
2011-10-17 18:32 Matze Assigned To => Matze
2011-10-17 18:32 Matze Status new => resolved
2011-10-17 18:32 Matze Resolution open => fixed
2011-10-19 22:20 Matze View Status private => public
2011-12-24 03:47 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker